CVE-2021-27212

NameCVE-2021-27212
DescriptionIn OpenLDAP through 2.4.57 and 2.5.x through 2.5.1alpha, an assertion failure in slapd can occur in the issuerAndThisUpdateCheck function via a crafted packet, resulting in a denial of service (daemon exit) via a short timestamp. This is related to schema_init.c and checkTime.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2574-1, DSA-4860-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openldap (PTS)stretch2.4.44+dfsg-5+deb9u4vulnerable
stretch (security)2.4.44+dfsg-5+deb9u8fixed
buster, buster (security)2.4.47+dfsg-3+deb10u6fixed
bullseye2.4.57+dfsg-3fixed
bookworm, sid2.4.59+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openldapsourcestretch2.4.44+dfsg-5+deb9u8DLA-2574-1
openldapsourcebuster2.4.47+dfsg-3+deb10u6DSA-4860-1
openldapsource(unstable)2.4.57+dfsg-2

Notes

https://bugs.openldap.org/show_bug.cgi?id=9454
trunk: https://git.openldap.org/openldap/openldap/-/commit/3539fc33212b528c56b716584f2c2994af7c30b0
REL_ENG 2.4.x: https://git.openldap.org/openldap/openldap/-/commit/9badb73425a67768c09bcaed1a9c26c684af6c30

Search for package or bug name: Reporting problems